datacache <- new.env(hash=TRUE, parent=emptyenv())

illuminaMousev2 <- function() showQCData("illuminaMousev2", datacache)
illuminaMousev2_dbconn <- function() dbconn(datacache)
illuminaMousev2_dbfile <- function() dbfile(datacache)
illuminaMousev2_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
illuminaMousev2_dbInfo <- function() dbInfo(datacache)

illuminaMousev2ORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "illuminaMousev2.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.MOUSECHIP_DB("illuminaMousev2", "chip illuminaMousev2", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(illuminaMousev2_dbconn())
}

